> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/rest-api/datasets.md).

# Datasets

## Overview

Datasets are the central entity on Redivis. All datasets are versioned, with a given version containing documentation, metadata, and all tables belonging to that dataset at that version.

These endpoints all for the enumeration of datasets and their version, as well as releasing subsequent versions of a dataset following [new data uploads](/api/rest-api/uploads.md).

{% hint style="info" %}
These endpoints assume you have familiarity with this API's [Authorization](/api/rest-api/authorization.md) and [Resource Reference ](/api/referencing-resources.md)paradigms.&#x20;
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redivis.com/api/rest-api/datasets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
